Skip to main content
GET
/
v1
/
accounts
/
{accountId}
Get an account
curl --request GET \
  --url https://api.waycore.com/v1/accounts/{accountId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "connectionId": "<string>",
  "type": "checking",
  "currency": "<string>",
  "name": "<string>",
  "status": "open",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "officialName": "<string>",
  "maskedNumber": "<string>",
  "accountNumber": "<string>",
  "routingNumber": "<string>",
  "swiftBic": "<string>",
  "currentBalance": "<string>",
  "availableBalance": "<string>",
  "balanceAsOf": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Path Parameters

accountId
string
required

Query Parameters

fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

Response

Successful Response

id
string
required

Stable, immutable identifier for the account.

connectionId
string
required

Identifier of the parent connection.

type
enum<string>
required

Account type.

Available options:
checking,
savings,
creditCard,
loan,
investment,
wallet,
other,
unknown
currency
string
required

Account currency or asset code.

Pattern: ^[A-Z0-9]{3,12}$
name
string
required

Display name for the account.

status
enum<string>
required

Account status.

Available options:
open,
closed,
unknown
createdAt
string<date-time>
required

When the account was first created in this API.

updatedAt
string<date-time>
required

When the account last changed in this API.

officialName
string | null

Institution-provided account name, when available.

maskedNumber
string | null

Masked account number, when available.

accountNumber
string | null

Account number, when available and permitted.

routingNumber
string | null

Routing or ABA number, when available.

swiftBic
string | null

SWIFT/BIC, when available.

currentBalance
string | null

Current balance.

Pattern: ^-?\d+(?:\.\d{1,18})?$
availableBalance
string | null

Available balance.

Pattern: ^-?\d+(?:\.\d{1,18})?$
balanceAsOf
string<date-time> | null

Timestamp associated with the balance fields, when available.

metadata
Metadata · object

Opaque client-defined metadata.